<template>
  <div :class="className" :style="{height:height,width:width}">
    <!-- <el-form ref="form" size="small" >
      <el-form-item label="项目" >
        <el-select v-model="valueProjectName" placeholder="请选择" style="width: 400px;" @change="changeVideo">
          <el-option v-for="project in projectFormUser" :key="project.id" :label="project.proname" :value="project.videoadr" />
        </el-select>
      </el-form-item>
    </el-form> -->
    <div v-for="item in videos" :key="item" class="center_bottom">
      <!--          <div class="center_bottom"/>-->
      <video id="myPlayer" controls playsinline webkit-playsinline autoplay style="height: 15vh;width: 100%">
        <!--<source :src="http_url" type="application/x-mpegURL">-->
        <source :src="item" type="rtmp/flv">
      </video>
    </div>
  </div>
</template>

<script>
import echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import { debounce } from '@/utils'
import EZUIPlayer from 'ezuikit/ezuikit'
import { findProjectByUserid } from '@/api/sProject'
const animationDuration = 6000

export default {
  props: {
    className: {
      type: String,
      default: 'chart'
    },
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: '27vh'
    }
  },
  data() {
    return {
      player: '',
      rtmp_url: '',
      valueProjectName: '',
      projectFormUser: '',
      videos: [],
      http_url: '',
      message: '加载中...',
      chart: null
    }
  },
  created() {
    this.laodProject()
    // this.GetLiveUrl()
  },
  mounted() {
    // this.loadPlay()
    // this.initChart()
    this.__resizeHandler = debounce(() => {
      if (this.chart) {
        this.chart.resize()
      }
    }, 100)
    window.addEventListener('resize', this.__resizeHandler)
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    window.removeEventListener('resize', this.__resizeHandler)
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    laodProject() {
      findProjectByUserid().then(response => {
        this.projectFormUser = response
        for (var i = 0; i < this.projectFormUser.length; i++) {
          var videoadr = this.projectFormUser[i].videoadr
          if (videoadr !== null) {
            this.videos.push(videoadr)
            this.valueProjectName = this.projectFormUser[i].videoadr
            setTimeout(function() {
              this.player = new EZUIPlayer('myPlayer')
            }, 2000)
            break
          }
        }
      })
    },
    changeVideo() {
      if (this.videos[0] !== this.valueProjectName) {
        this.videos = []
        this.videos.push(this.valueProjectName)
        setTimeout(function() {
          this.player = new EZUIPlayer('myPlayer')
        }, 2000)
      }
    },
    initChart() {
      this.chart = echarts.init(this.$el, 'macarons')

      this.chart.setOption({
        tooltip: {
          trigger: 'axis',
          axisPointer: { // 坐标轴指示器，坐标轴触发有效
            type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
          }
        },
        grid: {
          top: 10,
          left: '2%',
          right: '2%',
          bottom: '3%',
          containLabel: true
        },
        xAxis: [{
          type: 'category',
          data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
          axisTick: {
            alignWithLabel: true
          }
        }],
        yAxis: [{
          type: 'value',
          axisTick: {
            show: false
          }
        }],
        series: [{
          name: 'pageA',
          type: 'bar',
          stack: 'vistors',
          barWidth: '60%',
          data: [79, 52, 200, 334, 390, 330, 220],
          animationDuration
        }, {
          name: 'pageB',
          type: 'bar',
          stack: 'vistors',
          barWidth: '60%',
          data: [80, 52, 200, 334, 390, 330, 220],
          animationDuration
        }, {
          name: 'pageC',
          type: 'bar',
          stack: 'vistors',
          barWidth: '60%',
          data: [30, 52, 200, 334, 390, 330, 220],
          animationDuration
        }]
      })
    }
  }
}
</script>
